<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8"/>
    <meta content="IE=edge" http-equiv="X-UA-Compatible"/>
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link rel="stylesheet" href="style.css"/>

    <!-- BEGIN FONT  -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Courgette&display=swap" rel="stylesheet">
    <!-- END FONT  -->

    <script src="https://cdn.tailwindcss.com"></script>
    <script defer src="app.js" type="module"></script>
    <title>Black Jack</title>
</head>
<body class="bg-green-900 relative overflow-hidden">
<h1 class="text-5xl text-center py-10 uppercase underline font-bold text-white">Black Jack</h1>

<h2 class="text-center font-bold text-white">Bank :<span id="bankScore"></span>pts <span id="bankBJ"></span>
</h2>
<section class="flex w-screen h-auto align-center justify-center">
    <div id="bankCards" class="card-container"></div>
</section>

<h2 id="gameState" class="text-center text-white font-bold text-2xl"></h2>
<div class="flex w-full justify-center align-center space-x-4 py-12">
    <button
            class="inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
            id="drawer" type="button"
    >
        Nouvelle carte
    </button>
    <button
            class="inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
            id="skip" type="button">
        Garder ses cartes
    </button>
    <button
            class="hidden inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
            id="reset" type="button">
        Rejouer
    </button>
    <span id="userBJ"></span>
</div>

<section class="flex w-screen h-auto align-center justify-center">
    <div id="userCards" class="card-container"></div>
</section>
<h2 class="text-center font-bold text-white">You: <span id="userScore"></span>pts</h2>
<div class="flex align-center justify-between">
    <span id="userAccount" class="text-white font-bold text-xl px-4"></span>
    <div class="flex justify-center items-center space-x-2 mx-4 pb-8">
        <span class="text-white font-bold">
            Mise: <span id="gameBet"></span>
        </span>
        <div class="flex flex-col space-y-2 pr-4">
            <button
                    class="inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
                    id="increaseBet" type="button">
                Augmenter la mise
            </button>
            <button
                    class="inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
                    id="decreaseBet" type="button">
                Diminuer la mise
            </button>
        </div>

    </div>
</div>
    <button
        class="absolute top-2 right-4 inline-flex items-center rounded-md border border-transparent bg-indigo-100 px-3 py-2 text-sm font-medium leading-4 text-indigo-700 hover:bg-indigo-200 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2"
        id="refillAccount" type="button">
        Renflouer les caisses
    </button>
</body>
</html>
